import { Component, inject } from '@angular/core';
import { RedemptionListComponent } from "../redemption-list/redemption-list.component";
import RedemptionService from '../../shared/services/redemption.service';
import { AsyncPipe } from '@angular/common';
import TwitchRedemptionService from '../../shared/services/twitch-redemption.service';
import RedeemableActionService from '../../shared/services/redeemable-action.service';

@Component({
  selector: 'redemptions',
  imports: [
    AsyncPipe,
    RedemptionListComponent
  ],
  templateUrl: './redemptions.component.html',
  styleUrl: './redemptions.component.scss'
})
export class RedemptionsComponent {
  private readonly twitchRedemptionService = inject(TwitchRedemptionService);
  private readonly redemptionService = inject(RedemptionService);
  private readonly actionService = inject(RedeemableActionService);

  redemptions$ = this.redemptionService.changes$;
  twitchRedemptions$ = this.twitchRedemptionService.fetch();
  actions$ = this.actionService.changes$;
}
